Loading...
Searching...
No Matches
OpenBabel::OBResidueIndex Namespace Reference

## Enumerations

enum

{
ALA = 0 , GLY = 1 , LEU = 2 , SER = 3 ,
VAL = 4 , THR = 5 , LYS = 6 , ASP = 7 ,
ILE = 8 , ASN = 9 , GLU = 10 , PRO = 11 ,
ARG = 12 , PHE = 13 , GLN = 14 , TYR = 15 ,
HIS = 16 , CYS = 17 , MET = 18 , TRP = 19 ,
ASX = 20 , GLX = 21 , PCA = 22 , HYP = 23 ,
A = 24 , C = 25 , G = 26 , T = 27 ,
U = 28 , UPLUS = 29 , I = 30 , _1MA = 32 ,
_5MC = 32 , OMC = 33 , _1MG = 34 , _2MG = 35 ,
M2G = 36 , _7MG = 37 , OMG = 38 , YG = 39 ,
H2U = 40 , _5MU = 41 , PSU = 42 , UNK = 43 ,
ACE = 44 , FOR = 45 , HOH = 46 , DOD = 47 ,
SO4 = 48 , PO4 = 49 , NAD = 50 , COA = 51 ,
NAP = 52 , NDP = 53
}

## Detailed Description

Residue names (index into Residue[] array).

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
ALA |
GLY |
LEU |
SER |
VAL |
THR |
LYS |
ASP |
ILE |
ASN |
GLU |
PRO |
ARG |
PHE |
GLN |
TYR |
HIS |
CYS |
MET |
TRP |
ASX |
GLX |
PCA |
HYP |
A |
C |
G |
T |
U |
UPLUS |
I |
_1MA |
_5MC |
OMC |
_1MG |
_2MG |
M2G |
_7MG |
OMG |
YG |
H2U |
_5MU |
PSU |
UNK |
ACE |
FOR |
HOH |
DOD |
SO4 |
PO4 |
NAD |
COA |
NAP |
NDP |